http:
  routers:
    landet_zigbee-router:
      rule: "Host(`zig3.milvert.com`)"
      service: landet_zigbee-service
      middlewares:
        - auth
      entryPoints:
         - web-secure
      tls:
       certResolver: milvert_dns

    lampa-router:
      rule: "Host(`lampa.milvert.com`)"
      service: lampa-service
      entryPoints:
         - web-secure
      tls:
       certResolver: milvert_dns

    bitwarden-router:
      rule: "Host(`bitwarden.milvert.com`)"
      service: bitwarden-service
      entryPoints:
         - web-secure
      tls:
       certResolver: milvert_dns

    dashboard:
      rule: "Host(`tra.milvert.com`)"
      service: api@internal
      entryPoints:
         - web-secure
      tls:
       certResolver: milvert_dns
      middlewares:
        - auth

    redirecttohttps:
      rule: "HostRegexp(`{host:.+}`)"
      middlewares:
        - httpsredirect
      service: noop
      entryPoints:
         - web
      priority: 1

  services:
    landet_zigbee-service:
      loadBalancer:
        servers:
          - url: "http://10.0.10.2:8082"
    lampa-service:
      loadBalancer:
        servers:
          - url: "http://10.0.0.3:8084"

    bitwarden-service:
      loadBalancer:
        servers:
          - url: "http://10.0.0.3:5178"

    noop:
      loadBalancer:
        servers:
          - url: "http://localhost"


  middlewares:
    redirect:
      redirectScheme:
        permanent: true
        scheme: https
    httpsredirect:
      redirectScheme:
        permanent: true
        scheme: https
    default-headers:
      headers:
        frameDeny: true
        #  sslRedirect: true
        browserXssFilter: true
        contentTypeNosniff: true
        forceSTSHeader: true
        stsIncludeSubdomains: true
        stsPreload: true
        stsSeconds: 155520011
        customFrameOptionsValue: SAMEORIGIN
        referrerPolicy: no-referrer
    auth:
      basicAuth:
        users:
          - "admin:$apr1$iQ9pYbK/$gOLcycC6KlzqpcfJidjQC0"
          - "simon:$apr1$y0b/lK3y$ixUTipKjte/2L9I5NWk7O0"
    localNetwork:
      ipWhiteList:
        sourceRange:
          - "127.0.0.1/32"
          - "10.0.0.1/8"

